
Name:    arson
Epoch:	 0
Version: 0.9.7
Release: 0.lvn.8%{?dist_tag}
Summary: KDE frontend to various CD burning, and ripping tools
Group:	 Applications/Archiving
License: GPL
URL: 	 http://sourceforge.net/projects/arson/
Source:  http://download.sf.net/arson/arson-0.9.7-kde3.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Patches from: http://sourceforge.net/tracker/?group_id=37704&atid=420756
Patch0: %{name}-write-img-fix.diff
Patch1: %{name}-crashfix.diff
Patch2: %{name}-0.9.7-kde3-gcc3.3.patch
# Apply patch3 on top of patch2
Patch3: %{name}-0.9.7-lame-default.patch
Patch4: %{name}-desktops.patch

BuildRequires:  gettext, XFree86-devel, zlib-devel, arts-devel
BuildRequires:  libart_lgpl-devel, libpng-devel, libvorbis-devel, libjpeg-devel
BuildRequires:  flac-devel, libtiff-devel, perl, desktop-file-utils
Requires: vorbis-tools, textutils, vcdimager, mpg321, id3v2, normalize
Requires: cdda2wav, shorten, shntool, cdrdao, cdrecord, sox, flac
Requires: cdparanoia, mkisofs, lame

BuildRequires: qt-devel >= 1:3.1
%define qt_ver %(rpm -q --qf '%%{version}' qt-devel | cut -d. -f1,2)
Requires: qt >= 1:%{qt_ver}

BuildRequires: kdelibs-devel >= 6:3.1
%define kdelibs_ver %(rpm -q --qf '%%{version}' kdelibs-devel | cut -d. -f1,2 )
Requires: kdelibs >= 6:%{kdelibs_ver}
%if "%{kdelibs_ver}" < "3.2"
%define mimetypes 1
%endif


%description
Arson is a KDE frontend to various CD burning, and ripping tools.


%prep
%setup -q -n %{name}-%{version}-kde3

perl -pi -e \
  "s|(C(XX)?FLAGS=\"-O2( -DNDEBUG)?)\"|\$1 $RPM_OPT_FLAGS\"|g" configure
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p0
%patch4 -p1


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --program-prefix="%{?_program_prefix}" \
  --disable-rpath \
%if "%{?debug}" == "1"
  --enable-debug --enable-warnings \
%else
  --disable-dependency-tracking \
  --disable-debug --disable-warnings \
  --enable-final \
%endif
  --with-vorbis \
  --with-flac


make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

for file in $RPM_BUILD_ROOT%{_datadir}/applnk/*/*.desktop; do
  desktop-file-install --vendor fedora \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --add-category X-Fedora \
    --add-category System \
    --add-category AudioVideo \
    --add-category Application \
    $file
done
rm -rf $RPM_BUILD_ROOT%{_datadir}/applnk
install -D -p -m 644 src/hi48-app-arson.png \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/arson.png

%{?!mimetypes:rm -f $RPM_BUILD_ROOT%{_datadir}/mimelnk/application/x-{cue,iso}.desktop}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING DESCRIPTION FEATURES HELPME README REQUIREMENTS
%doc THANKS TODO VERSION
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/apps/arson
%{_datadir}/config/*
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/pixmaps/*
%{_datadir}/mimelnk/application/x-arson.desktop
%{_datadir}/mimelnk/application/x-md5.desktop
# Don't check modification times, these are shared with k3b.
%{?mimetypes:%verify(not mtime) %{_datadir}/mimelnk/application/x-cue.desktop}
%{?mimetypes:%verify(not mtime) %{_datadir}/mimelnk/application/x-iso.desktop}


%changelog
* Fri Mar 26 2004 Rex Dieter <rexdieter at sf.net> 0:0.9.7-0.lvn.8
- detect qt/kdelibs versions
- cleanup file list

* Sat Jan 24 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 0:0.9.7-0.lvn.7
- Update arson-desktops.patch for k3b 0.10 and 0.11.

* Sun Oct 26 2003 Michael Schwendt <mschwendt[AT]users.sf.net> 0:0.9.7-0.fdr.6
- Fix German comment in arson-desktops.patch.

* Sun Aug 24 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.9.7-0.fdr.5
- Avoid conflict with k3b by using the same .desktop files.
- Make desktop entry icons Gnome-friendly.
- Update URL.

* Mon Jul 14 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.9.7-0.fdr.4
- Make lame the default encoder (bug 270).
- Own dirs under %%{_datadir}/icons and %%{_datadir}/mimelnk (bug 270).

* Sun Jul 13 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.9.7-0.fdr.3
- Apply upstream GCC 3.3 build patch (SF.net tracker item 759071).
- Remove redundant qt-devel buildreq, kdelibs-devel pulls it in.
- Spec file cleanups.

* Mon May 19 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.9.7-0.fdr.2
- Explicit conflict with k3b (#270).

* Sat Apr 26 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.9.7-0.fdr.1
- First release.
